Bug 840239

Summary: Review Request: transmageddon - Video transcoder
Product: [Fedora] Fedora Reporter: Kalev Lember <kalevlember>
Component: Package ReviewAssignee: Mario Blättermann <mario.blaettermann>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: benjavalero, mario.blaettermann, notting, package-review, runab, yajo.sk8
Target Milestone: ---Flags: mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: transmageddon-0.21-2.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-26 19:00:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Kalev Lember 2012-07-14 13:30:33 EDT
Spec URL: http://kalev.fedorapeople.org/transmageddon.spec
SRPM URL: http://kalev.fedorapeople.org/transmageddon-0.21-1.fc18.src.rpm
Description:
Transmageddon supports almost any format as its input and can generate a very
large host of output files. The goal of the application was to help people to
create the files they need to be able to play on their mobile devices and for
people not hugely experienced with multimedia to generate a multimedia file
without having to resort to command line tools with ungainly syntaxes.
Comment 1 Kalev Lember 2012-07-14 13:34:35 EDT
*** Bug 605290 has been marked as a duplicate of this bug. ***
Comment 2 Mario Blättermann 2012-07-19 14:22:18 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4266803

$ rpmlint -i -v *
transmageddon.noarch: I: checking
transmageddon.noarch: W: spelling-error Summary(en_US) transcoder -> trans coder, trans-coder, transponder
The value of this tag appears to be misspelled. Please double-check.

transmageddon.noarch: W: spelling-error %description -l en_US syntaxes -> syntax's, syn taxes, syn-taxes
The value of this tag appears to be misspelled. Please double-check.

transmageddon.noarch: I: checking-url http://www.linuxrising.org/ (timeout 10 seconds)
transmageddon.noarch: W: invalid-url URL: http://www.linuxrising.org/ <urlopen error [Errno 111] Connection refused>
The value should be a valid, public HTTP, HTTPS, or FTP URL.

transmageddon.noarch: E: non-executable-script /usr/share/transmageddon/which.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

transmageddon.src: I: checking
transmageddon.src: W: spelling-error Summary(en_US) transcoder -> trans coder, trans-coder, transponder
The value of this tag appears to be misspelled. Please double-check.

transmageddon.src: W: spelling-error %description -l en_US syntaxes -> syntax's, syn taxes, syn-taxes
The value of this tag appears to be misspelled. Please double-check.

transmageddon.src: I: checking-url http://www.linuxrising.org/ (timeout 10 seconds)
transmageddon.src: W: invalid-url URL: http://www.linuxrising.org/ <urlopen error [Errno 111] Connection refused>
The value should be a valid, public HTTP, HTTPS, or FTP URL.

transmageddon.src: I: checking-url http://www.linuxrising.org/files/transmageddon-0.21.tar.xz (timeout 10 seconds)
transmageddon.src: W: invalid-url Source0: http://www.linuxrising.org/files/transmageddon-0.21.tar.xz <urlopen error [Errno 111] Connection refused>
The value should be a valid, public HTTP, HTTPS, or FTP URL.

transmageddon.spec: I: checking-url http://www.linuxrising.org/files/transmageddon-0.21.tar.xz (timeout 10 seconds)
transmageddon.spec: W: invalid-url Source0: http://www.linuxrising.org/files/transmageddon-0.21.tar.xz <urlopen error [Errno 111] Connection refused>
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 1 errors, 8 warnings.



We can skip the spelling errors once again... But there are two other issues: The script which.py is not executable although it contains the correct shebang. What's the reason for? Moreover, project homepage and download link are currently unavailable. I will test it next time again.
Comment 3 Kalev Lember 2012-07-19 17:26:59 EDT
Hello Mario,

Thanks for taking a look. Yes, the project's homepage has been down for about a week now, I think. Not sure what's up with that.

which.py is a simple command line utility. Within transmageddon, however, it's used as a python module and as such, is installed without the executable bit.

In any case, looks like it's also packaged separately as python-which. I'll fix up the package to use that instead of the bundled copy.
Comment 4 Kalev Lember 2012-07-19 17:35:56 EDT
* Fri Jul 20 2012 Kalev Lember <kalevlember@gmail.com> - 0.21-2
- Remove bundled which.py and use system python-which instead (#840239)

Spec URL: http://kalev.fedorapeople.org/transmageddon.spec
SRPM URL: http://kalev.fedorapeople.org/transmageddon-0.21-2.fc18.src.rpm
Comment 5 Mario Blättermann 2012-07-20 15:51:02 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4283739

No new issues from rpmlint, but the URLs are still down. I will go further once the website is back again.
Comment 6 Mario Blättermann 2012-07-26 17:06:33 EDT
The upstream website is back again!


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[X] MUST: The package must be licensed with a Fedora approved license.
    LGPLv2
    According to the header of transmageddon.py, the developers accept the
    distribution under newer versions of LGPLv2, that's why it has to be
    LGPLv2+

[X] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    1149a5b670ab30007274c27850550de9  transmageddon-0.21.tar.xz
    1149a5b670ab30007274c27850550de9  transmageddon-0.21.tar.xz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
- See Koji build above.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[+] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...

[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    Works for me, given the modest possibilities of Transmageddon.

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.


--------------------------------------

PACKAGE APPROVED

--------------------------------------


Please don't forget to change the license from LGPLv2 to LGPLv2+ before you import the package into the Git repo!
Comment 7 Kalev Lember 2012-07-26 17:13:59 EDT
Will do, thanks for the review!
Comment 8 Kalev Lember 2012-07-26 17:16:26 EDT
New Package SCM Request
=======================
Package Name: transmageddon
Short Description: Video transcoder
Owners: kalev
Branches: f17
InitialCC:
Comment 9 Jon Ciesla 2012-07-26 18:29:03 EDT
Git done (by process-git-requests).
Comment 10 Kalev Lember 2012-07-26 19:00:24 EDT
Package imported and built.
Comment 11 Yajo 2012-07-30 10:18:25 EDT
(In reply to comment #10)
> Package imported and built.

How to install? I'm using F17. I tried with `yum --releasever rawhide install transmageddon`, but it says that transmageddon-0.21-2.fc18.noarch.rpm is unsigned.

Thanks.
Comment 12 Kalev Lember 2012-07-30 13:23:26 EDT
yum --enablerepo=updates-testing install transmageddon

... and if possible, leave feedback at https://admin.fedoraproject.org/updates/FEDORA-2012-11186/transmageddon-0.21-2.fc17